Introduction

 Elcomsoft.com » Password Recovery Software » Proactive System Password Recovery » Help

Introduction

 Top Next

Proactive System Password Recovery (or simply PSPR; former Advanced Windows Password Recovery) is a program to recover all types of Windows passwords: logon password (when user is logged on and has Admin privileges), screensaver password, .NET Passport password, RAS and dial-up passwords, passwords to shared resources, SYSKEY startup password, passwords stored in cached credentials, Wireless (WEP and WPA-PSK) encryption keys etc. The program also shows all users and groups (with their properties), allows to run any programs in other user's context, show password history hashes, read password hashes from SAM and SYSTEM files, read Protected Storage records, decrypt Windows scripts, reveal passwords hidden under the asterisks, enable disabled controls, and run brute-force and dictionary attacks on PWL files (Windows 9x). Finally, it shows product IDs and CD keys for Windows, Microsoft Office and other Microsoft software installed.

The program that is licensed to you is absolutely legal and you can use it provided that:

1. you are the legal owner of all files or data you are going to recover through the use of our software, or
2. have permission from the legitimate owner to perform these acts.

Any illegal use of our software will be solely your responsibility. Accordingly, you affirm that you have the legal right to access all data, information and files that have been hidden.

You further attest that the recovered data, passwords and/or files will not be used for any illegal purpose. Be aware that password recovery and any subsequent data decryption of unauthorized or otherwise illegally obtained files may constitute theft or another wrongful action and may result in your civil or criminal prosecution.

Get more information about Proactive System Password Recovery
Get full version of Proactive System Password Recovery

(c) 2005 ElcomSoft Co.Ltd.


System requirements

Requirements

 Previous Top Next

· Windows 95, Windows 98, Windows ME, Windows NT 4.0, Windows 2000, Windows XP, Windows Server 2003, Windows Vista or Windows Server Longhorn
· about 4 megabytes of free space on hard disk

Please note that some program features are specific to Windows NT/2000/XP/2003/Vista/Longhorn only, and/or require Administrator privileges.


User interface

User interface

The program menu is located at the left of the main screen, just as in Microsoft Outlook, and it contains buttons for the Main menu, Advanced features, Revelation, Miscellaneous, Recover PWL, Options, Help and Exit. Click on a button to switch to the appropriate pages.

Most interface elements (such as buttons, rows in the "list view" windows, etc.) have pop-up "tooltips" which give more details about them: e.g., what action will be performed when the button is pressed. "List view" elements also have context-sensitive menus appearing on a right button click.

The program also supports keyboard hotkeys. Use CTRL-<digit> to select the high-level menu item, and ALT-<digit> to switch to the low-level item under it (in order).

· Main menu (CTRL-1)
· Logon password
· Cached passwords1
· RAS entries
· Shared info
· Recovered hashes2
· Screensaver password1
· Domain cached credentials3
· Advanced features (CTRL-2)
· Groups and users2
· NT secrets3
· Run as2
· Windows CD key
· Net passwords4
· Revelation (CTRL-3)
· Behind asterisks
· Control reviver
· Registry and AD2
· Password reset disk4
· Misc (CTRL-4)
· Protected storage
· Remote assistance4
· Script decoder
· Remote desktop
· Wireless network5
· Recover PWL (CTRL-5)
· View PWL file
· Bruteforce attack
· Dictionary attack
· Options (CTRL-6)
· General options
· PWL bruteforce options
· PWL dictionary options
· NT hash options
· Help (CTRL-7)
· Register the program
· Help
· About
· System information

1 Available only on Windows 95, Windows 9 and Windows Me

2 Available only on Windows NT, Windows 2000, Windows XP and Windows Server 2003

3 Available only on Windows 2000, Windows XP and Windows Server 2003

4 Available only on Windows XP and Windows Server 2003

5 Available only on Windows XP SP1 and Windows Server 2003 when Wireless Zero Configuration service is used

The program also supports a few command-line switches:

-h | Help (shows command line switches)
-c <archive file name> <file or mask> | Compress the given file(s) into CAB archive
-d | Delayed run (starts after 10 seconds)
-u <user name> [-p <password>] | Starts using the credentials of the given user
-v <PWL-file> [-u <user name> [-p <password>]] | Shows PWL file using given user name and password
-noipr | Disables the IPR* feature

*IPR stands for Intelligent Password Recovery, and unique feature of PSPR which works transparent to the user, but really helps to recover long and complex passwords, as well as improves the program performance. When it is enabled, the program collects all passwords from the system when it starts (not every time, but on the first run and then on a regular basis) - of course, only those ones that can be recovered instantly or in a very short time (from secrets, Internet Explorer and Outlook Express, Mozilla, some network clients, network credentials etc). Then, all those passwords are compiled into the special internal dictionary/wordlist (saved as passdef.ssd in the program folder), and used in further recovery tasks where the encryption is really strong and requires time-consuming brute-force or dictionary attacks. For example, there is a good chance that some user account (used to log on into the system) has the same password as one of Outlook Express credentials. However, logon passwords are relatively hard to break, while OE passwords are saved in the system; and with IPR, such logon password will be recovered instantly.

However, collecting/updating IPR data may take some time - usually a few minutes, but sometimes more. Also, the program may even 'hang' on that step (i.e. when it starts) on certain circumstances, i.e. on a heavy loaded systems with a lot of accounts. If you encounter such problem, simply terminate PSPR from the Task Manager and restart it with -noipr switch.


Logon password

Logon password

Windows 9x: shows computer name, user name and logon password (for currently logged user), and whether or not auto-logon feature is enabled. Logon password can be changed here. If your machine is configured to log on into Microsoft SQL server, SQL server password (if cached) is shown as well.

Other Windows systems: shows computer name, user name (for currently logged user), auto-logon option state, logon password (Windows NT/2000 only), and cached logon password. Password of current users can be changed here. You can also set auto-logon option (supplying appropriate login and password), but please note that when it is enabled, the password is stored in Windows Registry in plain form (not encrypted).

If Store password using reversible encryption for all users in the domain policy is set, PSPR also shows the user password saved in Active Directory database.

In addition, password hint (on Windows XP and Windows Server 2003 systems) and Microsoft SQL server password are also shown here (if available).


Cached passwords

Cached passwords

Cached passwords: shows passwords that are cached by the system. If no one is logged on, the program will prompt for a login. Passwords can be added, deleted, and edited here. If password caching is currently disabled, but passwords are still in the system, they will be shown anyway. Please note that if you add a password of type Windows Network Remote Administration, Windows does not always verify the resource name correctly, but PSPR can fix that if Check value of the new cache resource option is enabled. Please also note that it is not recommended to add cached passwords with user-defined type greater than 127 (some Windows applications may not work correctly if such passwords exist).


RAS entries

RAS entries

RAS entries: shows remote access entries (connection name, phone number, login name, and password). Can be edited, or new connection can be added. On Windows NT/2000/XP/2003, you can also see remote access passwords stored in Windows cache (sometimes these are shown even if the record has already been deleted) by pressing the Cached passwords button.

Also, you can decrypt RAS entries from an alien system: simply check the Manual decryption option, set path to SYSTEM and SECURITY Registry files, browse for phonebook file(s) (or check Use phonebook files of the local computer option), and press the Manual decryption button. The phonebook has .pbk extension and is located in the folder Application Data\Microsoft\Network\Connections\Pbk under All users, or in user's profile directory; typically, only rasphone.pbk (default phonebook) is there.


Shared info

Shared info

Shared info: shows shared resources (for both shared level and user level), along with the passwords and/or access rights.


Recovered hashes

Recovered hashes

Windows NT/2000XP/2003 Security Accounts Management Database (SAM) stores hashed copies of user passwords; the hash is a one-way function version of the clear text password. PSPR shows passwords of users that can be recovered instantly (including empty ones), or in a very short time (according to options). For these users, it is also possible to change the password hashes (and thus the passwords), but that may cause lost access to personal certificates, network passwords, EFS-encrypted files and some other data, so don't use that feature if you don't understand what you're doing.

Password history can be also extracted/decrypted (if appropriate option is set).

Using that feature, you can also dump (and probably decrypt) password hashes not only from the local system, but also from external (binary) SAM, SYSTEM and SECURITY files, and/or replace or reset the passwords there. Simply check the Manual decryption box, browse for these files, and press the Manual decryption button.

Please note that usually the SAM database is encrypted with a locally stored system key, and PSPR automatically decrypts it, but the SYSKEY utility can be used to additionally secure it by moving the SAM database encryption key off the Windows-based computer. The SYSKEY utility can also be used to configure a start-up password that must be entered to decrypt the system key so that Windows can access the SAM database. If the local machine is configured this way, PSPR can try to recover this start-up password: click on Find SYSKEY startup password link to open a new window where you can set brute-force and dictionary attack options. The same window is opened if you dump password hashes from external SAM and SYSTEM files (in Manual mode), or if the start-up password is known, you can enter it there (or if SYSKEY is stored on a floppy disk, provide PSPR with it in order to get password hashes decrypted for further attacks).

Password hashes of Active Directory users can be also shown (see options), and if passwords are stored using reversible encryption, plain-text passwords are recovered instantly regardless their complexity.

In Manual decryption mode (i.e., for password hashes loaded from Registry files taken from another computer), You can also use the SAM database editor feature to see the details of all user accounts (in read-only mode); select the user account you are interested in and press the SAM database editor link (if no account is selected, the first one from the list will be loaded). The following information is available:

· general information (user name, full name, comments, user ID)
· hashes (LM and NTLM, including 'history' ones)
· flags (a lot of)
· date/time of last logon, logoff, password change/set, account expiration, last bad password
· local and global groups
· profile
· logon hours
· misc information
· domain information
· domain properties
· domain password properties (incl. SAM session key and SYSKEY)


Screensaver password

Screensaver password

Shows the last active password to Windows screensaver (if it was ever set) regardless of the current state (enabled or disabled).


Domain cached credentials

Domain cached credentials

Operating systems based on the Windows NT series can cache (store) user logon information on users that enter the domain. This feature is designed to bypass the authorization procedure after the server has been unavailable for one reason or another. Additional information is available at:

Cached Logon Information

Microsoft Windows XP - Logging On Using Domain Credentials

Along with the general information on a domain user, which includes the actual user information, domain information, and general information (the DCC common record structure will be covered below), DCC contains the user's password hash.

Though these caches are 'stronger' than ones stored in SAM, PSPR is able to recover plaintext passwords from them, too (using dictionary and brute-force attacks).

Note: this feature has not been tested on Windows Vista yet.


Groups and users

Groups and users

Shows the tree of users and groups; it can be sorted by users or by groups. The members of Administrators group are marked as green, disabled users as red, and current user with a bold font. Here is what you can do there:

l add/remove users and groups

l view available user/group information

l view/change global system settings (about passwords, server or domain controller, SAM and security)

There are also some password-specific tasks, such as:

l set new password (typically, for users that have been just added)

l change password

l change force to change on next logon password option

l change password never expires option

l change user cannot change password option

l view/change password hashes (use with care)

l reset password


NT secrets

NT secrets

Shows passwords cached by the system: RAS passwords, passwords of some users, SQL server passwords, etc. Can be local (for current user only) or global (for all users).

Also, the program can get the secrets from SYSTEM/SECURITY files taken from another system – simply check the Manual decryption option, browse for these files, (optionally) check the Show old secrets option if you'd like to see the secrets that are still stored but not being used anymore, and press Manual decryption.

All secrets (from local machine or external Registry files) can be edited, but use this feature with great care.


Run as

Run as

Allows you to run any program (including PSPR itself) with alternative credentials, or in the context of the SYSTEM account. User name, domain (if the computer is part of a domain) and password have to be supplied.

Note: this feature does not work on Windows Vista.


Windows CD key

Windows CD key

Extracts some valuable information about the current Windows and Office installation, as stored in the system:

l User name

l Computer name

l Platform

l First install date (of operating system)

l Owner

l Organization

l Windows product ID and product (CD) key

l Microsoft Office product ID and product (CD) key

l Microsoft SQL Server product ID and product (CD) key

l IE product ID and product key

PSPR also contains a 'generic' algorithm to extract/decrypt IDs and CD keys to other Microsoft products and server software not listed above; press Retrieve unknown keys to proceed.

The Windows CD key can be changed there, but please use that feature with great care. For Windows XP and Windows Server 2003, you will have to re-activate Windows; if the option Force to activate Windows after the key is changed is enabled, then the activation wizard will be started automatically.

As for Office CD key, please note that PSPR supports only Office 97, Office XP, Office 2003 and Office 2007, but not Office 2000 (it seems that the CD key for this version is not stored in the system at all).

Please also note that if you would like to get the Windows/Office CD key from another machine (remote computer), you should have Administrator privileges there. Using the Manual decryption option, you can also retrieve the CD key from the SYSTEM file (part of Windows Registry) taken from any machine.

Note: for Windows Vista, CD key is saved in the system only till activation. So iIf Vista is already activated, PSPR is not able to show the key.


Net passwords

Net passwords

Shows stored user passwords for servers (allowing the user to transparently connect to servers using user names and passwords that are different from those used to log on). These passwords can be managed using the KeyRing; the keyring can be invoked from Control Panel | User Accounts | Advanced | Manage Passwords. .NET Passport passwords are also shown there.

By default, Net passwords are recovered automatically, but if something goes wrong (e.g., some files are located in the wrong folders), you can use Manual decryption. You must at least set the User profile directory and User logon password; if this is not enough, check the Expert options box and select User ID, Credentials, and Master key of the user you want to recover Net and Passport passwords for.

For all items listed here, the program shows additional information such as Server, User, Password, Type, Comment, Alias, Flags, and Last modified.

Here you can also decrypt Credential Backup Files (*.crd) created in Windows Vista and Windows Server Longhorn (for more information, see Manage stored passwords).


Behind asterisks

Behind asterisks

In many Windows applications (and in the operating system itself), there are some input fields (typically used to enter passwords) that always show their contents as asterisks (*). So when/if your password is saved in the system but you cannot see it because of that feature, you can use PSPR to reveal it, automatically or manually.

The simplest mode is automatic: PSPR scans all visible windows on the desktop, finds the ones where 'asterisked' controls exist, extracts/reveals their contents and prints them into its own window, along with some technical information such as window title, handle, and class. If the Make asterisk field visible option is set, all such controls will be changed so they will show the actual strings instead of asterisks.

Please note that in this (automatic) mode some controls (used by system services, JAVA applications, those with non-standard Windows class, etc.) will still not be revealed. Edit controls on web pages (opened by Microsoft Internet Explorer), however, are supported.

There is also a manual mode, which may help if there are too many windows on the desktop, and/or if the control you want to reveal has non-standard class. Press the second button and don't release the mouse button; drag the cursor pointer (which will be changed, by the way) to the field you're interested in, and drop it (release the mouse) there. When dragging, the 'active' window will be 'bordered'.

In manual mode, if you drop the pointer on a control that has Internet Explorer _ Server class, you can get the HTML source of that control. This works for all applications that use IE frames, such as Internet Explorer itself, Windows Explorer, Outlook and Outlook Express, Microsoft Help and many others.

If both automatic and manual modes still fail to do the job, you may need to add a proper class name in options. It is also possible that this control has 'real' asterisks in it, simply indicating that the password is saved (e.g., as for Windows RAS).

Please note that there are some applications that try to detect such (revealing) 'attacks', when another program tries to get the string under the asterisks. For them, automatic mode should still work, but only if Make asterisks fields visible option is not set.

The other options are:

l Stay on top: if enabled, the PSPR window will be always topmost.

l Alternative scanning algorithm (for manual mode only): may help if you cannot locate the proper window to extract the text from – for example, if that control is disabled.

l Transparent window (Windows 2000/XP/2003 only): enable that option to make the PSPR window transparent, so you will be able to see what is behind it.


Control reviver

Control reviver

Control reviver works almost the same way as the Behind asterisks feature described above, but instead of revealing hidden passwords, it allows you to activate controls (such as buttons, menu items, check boxes etc.) that are disabled (grayed). You can either activate all disabled controls (that have standard system classes) currently visible using the Automatically revive… button, or use the second mouse button and drag the mouse pointer to the particular control you want to enable, and release the mouse; that control will be enabled.


Registry and AD

Registry and AD

When the operating system is loaded, the key Registry files (SAM, SECURITY, SYSTEM and SOFTWARE) are 'locked': no application running under the operating system itself can access them. However, you may still wish to read from these files yourself, for some password recovery or auditing tasks. This feature of PSPR allows you to create copies of the files, and those copies will not be locked. You can save Registry from the local machine or from the Remote machine (you should have Administrator privileges on that machine, though).

Press the Save Registry button and select (from the popup menu) All Registry, or just the particular Registry branch.

The program also allows you to save Registry files in text format: ANSI (REGEDIT4) or UNICODE (REGEDIT5). Just note that this operation takes much more time than saving in the original (binary) format, especially for the SYSTEM file. Also, you can use the Compress output file(s) option to have the files compressed using Microsoft CAB format.

You can also save the Active Directory database (ntds.dit): select the AD server name, destination folder name (to save database to), Run backup under another security context option (if needed), as well as user name, domain and user password, and press the Backup AD database button. Note: this feature is not compatible with Windows Server Longhorn yet.


Password reset disk

Password reset disk

In Microsoft Windows XP, you can create a special password reset disk:

HOW TO: Create and Use a Password Reset Disk for a Computer That Is Not a Domain Member in Windows XP

HOW TO: Create and Use a Password Reset Disk for a Computer in a Domain in Windows XP

If you forget your password, you can log on to the computer with a new password that you create by using the Password Reset Wizard and your password reset disk, as described above.

With PSPR, you can also recover the original password using that disk (the disk, actually, contains just the key used to encrypt the password, while the password itself is stored in the Windows Registry). Just select the Password reset disk path (typically, A:\), file name (userkey.psw by default), and password reset disk owner (from the list).


Protected storage

Protected storage

Protected Storage provides applications with an interface to store user data that must be kept secure or free from modification.

Units of stored data are called Items. The structure and content of the stored data are opaque to the Protected Storage system. Items are uniquely identified by the combination of a Key, Type, Subtype, and Name. The Key is a constant that specifies whether the Item is global to this computer or associated only with this user. The Name is a string, generally chosen by the user. Type and Subtype are GUIDs, generally specified by the application. Additional information about Types and Subtypes is kept in the system registry and include attributes such as Display Name and UI hints. For Subtypes, the parent Type is fixed and included in the system registry as an attribute. The Type group Items is used for a common purpose: for example, Payment or Identification. The Subtype group Items share a common data format.

PSPR shows all information stored in Protected Storage, including (but not limited to):

l passwords to web sites accessed with Internet Explorer

l passwords to ftp sites accessed with Internet Explorer (stored as plaintext in Windows 2000, and encrypted on Windows XP and Windows Server 2003; to decrypt, right-click on appropriate Item)

l Internet Explorer AutoComplete information

l passwords to IE items to synchronize

l newsgroup accounts/passwords in Outlook Express

l MSN passwords

It also allows you to edit and remove any items (including binary) in Protected storage, but please use that feature with great care (creating a backup copy of the Registry is strongly recommended).

By default, PSPR shows the Protected Storage that belongs to the current user; to see information available to All users in the system, uncheck the Protected storage of the current user option.


Remote assistance

Remote assistance

Remote Assistance is a technology in Windows XP which enables Windows XP users to help each other over the Internet. With this tool, one user, called the "Expert," can view the desktop of another user, the "Novice." With the Novice's permission, the Expert can even share control of the Novice's computer to resolve issues remotely. For more information, see:

Overview of Remote Assistance in Windows XP

http://support.microsoft.com/default.aspx?scid=kb;en-us;300546

For all Remote Assistance "tickets" created on the local machine (even expired ones), PSPR shows:

l Owner

l Source

l Destination

l Expired

Unfortunately, passwords (if assigned) cannot be extracted instantly because strong encryption is used. However, you can run dictionary and bruteforce attacks to try to recover those passwords.

You may also need to select the proper Profiles folder (C:\Documents and Settings by default).


Script decoder

Script decoder

Windows Script is a comprehensive scripting infrastructure for the Microsoft® Windows® platform. Windows Script provides two script engines, Visual Basic® Scripting Edition and Microsoft JScript®, which can be embedded into Windows Applications. It also provides an extensive array of supporting technologies that makes it easier for script users to script Windows applications. For more information, see:

http://msdn.microsoft.com/library/en-us/dnanchor/html/Scriptinga.asp

Script Encoder is a simple command-line tool that enables script designers to encode their final script so that Web hosts and Web clients cannot view or modify their source. See:

http://msdn.microsoft.com/library/en-us/script56/html/seusingscriptencoder.asp

Using PSPR, encrypted scripts can be decrypted back to plain source code. The File list to decode window contains the names of the files to be decrypted. Initially, it is empty, but you can add files to it by pressing the Add file(s) to list button, or simply by searching the given disk or folder. Select Files to scan (mask: *.vb*;*.js*;*.htm* by default), Directory to scan and (optionally) Look in subfolders option, then press Start scan. When scanning is in progress, you can press Stop scan at any time.

Once the list contains one or more files, you can highlight the one you wish to decrypt, right-click and select Decode, or press the Decode all button at the bottom to decrypt all the files from the list. Files can be removed from the list by selecting the Remove from list popup menu item. Decrypted files are saved with another extension (set using Output file name option, *.DEC by default). Please also note the Replace existing file(s) option. If the scripts contain text in any language other than English, you may also need to set the proper Code page option (e.g., 1251 for Russian).


Remote desktop

Remote desktop

Remote desktop connections (accessible at Start | Programs | Accessories | Communications) can be save into .RDP files, which store all information related to the given connection (computer name or address, user name, display settings etc). If Save my password option is enabled in Remote Desktop Client, then password is also saved there, and can be extracted and decrypted by PSPR. Simply select the .RDP file and press Auto decryption button.

If something goes wrong (i.e., PSPR shows an error message that some files could not be found), you can also use Manual decryption option, also selecting the following: User profile directory, logon password, and (in some cases) user SID and master key.


Wireless network

Wireless network

That feature allows to recover the encryption key used in wireless network setup, if your system uses Wireless Zero Configuration service (available in Windows XP SP1 and Windows Server 2003), encryption type is WEP or WPA-PSK. The typical output looks like:

===Wireless network configurations===

Network Name (SSID): OFFICE

Network authentication type: open

Data encryption type: WEP

Key assigned automatically: No

Key index: 1

Key format: HEX - 104 bits (26 symbols)

Key: AABBCCDDEEFF00112233445566

If Show previous keys if possible option is set (after changing this option, press Refresh button), the program tries to extract the last saved (cached) wireless configuration options, and the output is slightly different:

===Wireless network configurations===

Network Name (SSID): OFFICE

Network authentication type: open

Data encryption type: WEP

Key assigned automatically: No

Key index: 1

Key format: HEX - 104 bits (26 symbols)

Key: AABBCCDDEEFF00112233445566

Raw key: AABBCCDDEEFF0011223344556600000000000000000000000000000000000000

In that mode, the program may also find previous confugurations (not used anymore), and/or ones that are not completed.

Note: this feature has not been tested on Windows Vista yet.


View PWL file

View PWL file

USERNAME.PWL (where USERNAME is your logon name) is a password list file (PWL) used in Windows 95, Windows 98 and Windows ME. It records passwords to resources on the network and uses them to reconnect to those resources so you don't have to type the password again. Whenever Windows prompts you for a password (except for your logon password, which secures the PWL file itself), the resource name and password are saved in your PWL file for future use. Windows stores passwords for shares on share-level security servers (including Windows for Workgroups machines), passwords for user-level security LAN Manager servers, and LAN Manager domain passwords (used if your logon is validated on a LAN Manager domain).

Because these passwords are sensitive information, the file is encrypted.

To recover the contents of a PWL file with PSPR, type the complete path to PWL file (or browse to this file using […] button at the right, supply the appropriate login and password, and press View.

If you don't know the password for the PWL file you need to explore, you can try to recover it using brute-force or dictionary attacks.


Bruteforce attack

Bruteforce attack

If you have completed a dictionary attack, but the password still has not been recovered, you have to follow-up with a brute-force attack. In this attack, the program tries to guess your password by trying every single combination of characters until your password is found. For example, the program might follow a sequence like this:

aaaaaaaa

aaaaaaab

aaaaaaac

...

until the password is found. Obviously, this method will take time: for an eight-character alphabetic password there are 200 Billion combinations to be checked. But with modern computers this sort of attack doesn't take as long as you might think.

The brute force attack is the slowest method of password attack, but can often be successful on short and simple passwords.

Select the full path to your PWL file, as well as login name. The other options follow:

Character set

Instructs the program what characters have been used in the password. You can choose from all capital letters, all capital OEM letters (according to current code page), all digits, all special symbols and the space. The special characters are:

!@#$%^&*()_+-=<>,./?[]{}~:;`'|"\

Charset string (which is being filled with the characters according to your selections) can be edited, e.g., you can add or remove any characters there. For example, if you remember that your password was entered in the bottom keyboard row ("zxcv...") - your password range should be "zxcvbnm,./" (or in caps: "ZXCVBNM<>?"). You can also define both of these: "zxcvbnm,./ZXCVBNM<>?".

Start from and End at

When you start the brute-force attack from scratch, these fields should be either empty, or selected according to the desired minimum and maximum password length. It is NOT recommended that you edit these fields manually: instead, use the > buttons to select the length, and they will be filled automatically. This minimizes the chances that some combinations could be skipped.

CPU type

Select from Intel PII/PIII/Celeron and AMD Athlon, depending on your processor. If you are not sure or your processor is not in the list, you can try both, and stay with the option that gives you better performance.

When all the options have been selected (there are also a few others, see Attacks options), press the Start button to run the attack. When/if the proper password is found, PSPR will decrypt the PWL file and show all information extracted from it. During the attack, current password and recovery speed is shown.


Dictionary attack

Dictionary attack

Dictionary attack is often the most effective: the program tries every word in a dictionary (wordlist) until the password is found. This method is popular because it is well known that many people use common words as passwords. Dictionaries with hundreds of thousands of words, as well as specialist, technical and foreign language dictionaries are available, as are lists of thousands of words that are often used as passwords such as "qwerty", "abcdef", etc.

All you have to select (in addition to the full path to the PWL file and login) is the path to the desired dictionary file, and the starting line number (in the dictionary); if you interrupt the attack, the "current" line number will be written there (and saved to the project file, of course).

A small but very effective dictionary is included in the PSPR distribution: english.dic (about 240,000 words). Some other very good dictionaries are available at:

ftp://ftp.cerias.purdue.edu/pub/dict/ (CERIAS Security Archive)

ftp://ftp.ox.ac.uk/pub/wordlists/ (University of Oxford)

ftp://ftp.funet.fi/pub/unix/security/dictionaries/ (Finnish Ministry of Education, Center for Scientific Computing Ltd.)


General options

General options

Program interface language: the program has a multilingual interface, and you can change the language (if supported) on the fly, by selecting the language from the drop-down box and pressing Apply.

User interface options (gradient fill color, caption text color, background color, easily move window, background image): changes the program look and feel.

Custom classes for asterisks revealing: used for Behind asterisks feature, when the password field has non-standard class.

Print entire window instead of text: when you print passwords and other information recovered by the program, PSPR may print its window (as graphics) instead of text.

Check value of the new cache resource: for Windows 9x cached passwords only; if enabled, PSPR will check (for validity) the resources you are adding.

Modify only enabled screensaver password: if checked, the program will actually change the screensaver password only if the screensaver password protection option is active.

Make asterisks fields visible: used for Behind asterisks feature; if checked, the program will not only print the passwords into its own window, but also change the style of the controls so the text will become visible in its native application, too.

View html source as text: used for Behind asterisks feature; if checked, PSPR will show the HTML source code for controls you drop the cursor on.

View only recovered hashes (Windows NT/2000/XP/2003 only): to show only those hashes where the actual passwords have been recovered.

View only recovered secrets (Windows NT/2000/XP/2003 only): same as above, but for NT secrets.

Don't truncate long secrets: if enabled, NT secrets are being shown as is regardless of the size (otherwise, truncated to fit into the window).

Turn audit off when the program is working: if you want to hide the fact that PSPR was working on the computer, turn this option on, so auditing will be temporarily disabled.

Use fast crypto API: if enabled, PSPR uses its own (fast) implementation of all crypto algorithms (RC4, MD4, MD5, SHA); applicable to all brute-force and dictionary attacks, except attacks on PWL files.

Program startup password: allows to set a password to protect the program itself.


Attacks options

Attacks options

PWL bruteforce options

Process priority: set idle/normal/high/realtime priority to brute-force attack process

Thread priority: fine-tune the priority of the brute-force attack thread

Refresh time: the interval (in milliseconds) between updates of program state (current password and recovery speed)

Save current position to log: when enabled, the program periodically saves the state of the attack to the disk

PWL dictionary options

Use custom uppercase conversion function: if this option is enabled, the program will translate the characters to uppercase according to strings set in LowCase/Uppercase string symbols above

Convert to ANSI: if you use the dictionary/wordlist that is in OEM codepage, enable this option


NT hash options

NT hash options

Check short passwords: performs the fast brute-force attack on user's password hashes, using the character set you supply (press >>> button to set the character set and maximum password length, and get a benchmark to estimate the time that attack will be completed in). You can also enable the Fast check method option if LM authentication is being used.

Dictionary analysis: enables a simple dictionary attack on password hashes, using the dictionary you have set the full path to. To set the advanced dictionary options, press >>> button; here you can set the path to dictionary (wordlist) file location, Dictionary file is in OEM format option (if the given dictionary is in OEM codepage) and several SmartDic (Smart Dictionary) settings:

· Case mutation
· Digit mutation
· Border mutation
· Freak mutation
· Abbreviation mutation
· Order mutation
· Vowels mutation
· Strip mutation
· Swap mutation
· Duplicate mutation
· Delimiter mutation
· Year mutation

All those options allow to generate additional combinations from every word from the dictionary (by changing the case, adding prefix or suffix, swap letters etc), and so seriously increase the probability of finding the password, especially if it has been mistyped when entered. However, please note that if the dictionary is large, and/or the recovery speed is low, that will also increase the time to complete the attack, so you can use Maximize speed and Maximize efficiency for more convenience, Set all to defaults if you are not sure what options would be best (and change them later), or even Disable SmartDic completely.

The same dictionary options are available for all other features of PSPR where dictionary attack is applicable, except just the recovery of PWL passwords.

View only the recovered hashes: if enabled, PSPR will show only those user accounts (in the Recovered hashes page) for which it was able to recover the passwords (using simple attacks mentioned below), including those with empty passwords.

View password history hashes: if password history is enforced (ensuring that old passwords are not continually reused, see Microsoft documentation), then Windows saves the hashes of previous passwords, so PSPR can show (and analyze) them, too.

Look for passwords stored in Active Directory: when enabled, PSPR extracts password hashes not only from SAM database, but also from Active Directory database.

Don't analyze password hashes: force PSPR not to analyze password hashes using brute-force and/or dictionary attacks, just show them.


Contacting us

Contacting us

For technical support, please contact us through the web form located at:

http://www.crackpassword.com/support/support.php

For all other requests (general questions, sales, legal), please use another form:

http://www.elcomsoft.com/company.html

Please write in English language only.


Where to get the latest version

Where to get the latest version

The latest version of PSPR is always available at:

http://www.elcomsoft.com/pspr.html

Other password recovery products (for ZIP, RAR, ARJ and ACE archives, all versions of Microsoft Office, Microsoft Outlook and Outlook Express, Microsoft Money, Microsoft Backup, Microsoft Mail, Microsoft Schedule+, Microsoft Project, VBA; Lotus WordPro, 1-2-3, Approach and Organizer; Adobe Acrobat PDF; ACT! contact management software; Corel Paradox, WordPerfect and QuattroPro; Intuit Quicken and QuickBooks; email clients such as TheBat!, Eudora, Pegasus etc.; instant messengers; Windows 2000/XP/2003/Vista Encrypting File System on NTFS; Windows NT/2000/XP/2003 user passwords) are available from our web site at:

http://www.elcomsoft.com/prs.html


Copyright and license

Copyright and license

NOTICE TO USER:

THIS IS AN AGREEMENT GOVERNING YOUR USE OF ELCOMSOFT SOFTWARE, FURTHER DEFINED HEREIN AS "PRODUCT," AND THE LICENSOR OF THE PRODUCT IS WILLING TO PROVIDE YOU WITH ACCESS TO THE PRODUCT ONLY ON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS AND CONDITIONS CONTAINED IN THIS AGREEMENT. BELOW, YOU ARE ASKED TO ACCEPT THIS AGREEMENT AND CONTINUE TO INSTALL OR, IF YOU DO NOT WISH TO ACCEPT THIS AGREEMENT, TO DECLINE THIS AGREEMENT, IN WHICH CASE YOU WILL NOT BE ABLE TO INSTALL OR OPERATE THE PRODUCT. BY INSTALLING THIS PRODUCT YOU ACCEPT ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.

This Electronic End User License Agreement (the "Agreement") is a legal agreement between you (either an individual or an entity), the licensee, and ElcomSoft Co. Ltd. and its affiliates (collectively, the "Licensor"), regarding the Licensor's software, as applicable pursuant to a valid license, you are about to download and/or other related services, including without limitation a) all of the contents of the files, disk(s), CD-ROM(s) or other media with which this Agreement is provided and including all forms of code, such as source code and object code, (the "Software"), b) all successor upgrades, modified versions, modified modules, revisions, patches, enhancements, fixes, modifications, copies, additions or maintenance releases of the Software, if any, licensed to you by the Licensor (collectively, the "Updates"), and c) related user documentation and explanatory materials or files provided in written, "online" or electronic form (the "Documentation" and together with the Software and Updates, the "Product"). You are subject to the terms and conditions of this End User License Agreement whether you access or obtain the Product directly from the Licensor, or through any other source. For purposes hereof, "you" means the individual person installing or using the Product on his or her own behalf; or, if the Product is being downloaded or installed on behalf of an organization, such as an employer, "you" means the organization for which the Product is downloaded or installed, then the person accepting this agreement represents hereby that such organization has authorized such person to accept this agreement on the organization's behalf. For purposes hereof the term "organization," without limitation, includes any partnership, limited liability company, corporation, association, joint stock company, trust, joint venture, labor organization, unincorporated organization, or governmental authority.

By accessing, storing, loading, installing, executing, displaying, copying the Product into the memory of a Client Device, as defined below, or otherwise benefiting from using the functionality of the Product ("Operating"), you agree to be bound by the terms and conditions of this Agreement. If you do not agree to the terms and conditions of this Agreement, the Licensor is unwilling to license the Product to you. In such event, you may not Operate or use the Product in any way.

BEFORE YOU PRESS THE "I AGREE" BUTTON, PLEASE CAREFULLY READ THE TERMS AND CONDITIONS OF THIS AGREEMENT, AS SUCH ACTIONS ARE A SYMBOL OF YOUR SIGNATURE AND BY CLICKING ON THE "I AGREE", YOU ARE CONSENTING TO BE BOUND BY AND ARE BECOMING A PARTY TO THIS AGREEMENT AND AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN NEGOTIATED AGREEMENT SIGNED BY YOU. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE "CANCEL" BUTTON AND THE PRODUCT WILL NOT BE INSTALLED ON YOUR CLIENT DEVICE, AS SUCH TERM IS DEFINED BELOW. For your reference, you may refer to the copy of this Agreement that can be found in the Help for the Software. You may also receive a copy of this Agreement by contacting Licensor at: info@elcomsoft.com.

1. Proprietary Rights and Non-Disclosure.

1.1. Ownership Rights. You agree that the Product and the authorship, systems, ideas, methods of operation, documentation and other information contained in the Product, are proprietary intellectual properties and or the valuable trade secrets of the Licensor and are protected by civil and criminal law, and by the law of copyright, trade secret, trademark and patent of the Russian federation, other countries and international treaties. You may use trademarks only insofar as to identify printed output produced by the Product in accordance with accepted trademark practice, including identification of trademark owner's name. Such use of any trademark does not give you any rights of ownership in that trademark. The Licensor and its suppliers own and retain all right, title, and interest in and to the Product, including without limitations any error corrections, enhancements, Updates or other modifications to the Software, whether made by Licensor or any third party, and all copyrights, patents, trade secret rights, trademarks, and other intellectual property rights therein. Your possession, installation or use of the Product does not transfer to you any title to the intellectual property in the Product, and you will not acquire any rights to the Product except as expressly set forth in this Agreement. All copies of the Product made hereunder must contain the same proprietary notices that appear on and in the Product. Except as stated herein, this Agreement does not grant you any intellectual property rights in the Product and you acknowledge that the license granted under this Agreement only provides you with a right of limited use under the terms and conditions of this Agreement.

1.2. Source Code and Modifications. You acknowledge that the source code for the Product is proprietary to the Licensor and constitutes trade secrets of the Licensor. You agree not to modify, or create derivative works based upon the Product in whole or in part nor reverse engineer, decompile, disassemble the source code of the Product in any way.

1.3. Registration Code File and Confidential Information. You agree that, unless otherwise specifically provided herein or agreed by the Licensor in writing, the Product, including the specific design and structure of individual programs and the Product, including without limitation the Registration Code File provided to you by the Licensor and/or its authorized resellers or distributors, constitute confidential proprietary information of the Licensor. For purposes hereof, "Registration Code" shall mean a unique key identification file or a combination of unique electronic characters provided to you by the Licensor confirming the purchase of the license from the Licensor, which may carry the information about the license and the number of permitted users, and enabling the full functionality of the Product in accordance with the license granted under this Agreement. You agree not to transfer, copy, disclose, provide or otherwise make available such confidential information in any form to any third party without the prior written consent of the Licensor. You agree to implement reasonable security measures to protect such confidential information, but without limitation to the foregoing, shall use best efforts to maintain the security of the Registration Code provided to you by the Licensor and/or its authorized resellers or distributors.

2. Grant of License.

2.1. License. The Licensor grants you the following rights ("License") and you hereby agree and accept such License:

a). Trial Version. If you have received, downloaded and/or installed a trial version of the Product and are hereby granted an evaluation license for the Software and you may Operate the Product only for evaluation purposes and only during the single applicable evaluation period of thirty (30) days, unless otherwise indicated, from the date of the initial installation. Following this test period of thirty (30) days or less, if you wish to continue to use the Product, you must register. To register you have to pay for the fully functional version. Upon payment we provide the Registration Code to you. Any use of the Product for other purposes or beyond the applicable evaluation period is strictly prohibited, provided however that, subject to the restrictions contained herein, you may copy and distribute a trial version of the Software without any modifications whatsoever to any third party subject to this Agreement and further provided that you have no technical support rights during the trial period. The unregistered (trial) version may be freely distributed, provided that the distribution package is not modified. No person or company may charge a fee for the distribution of the Product without written permission from the copyright holder.

b). Grant of License. Unless otherwise specifically indicated under a valid license (e.g. volume license) granted by the Licensor, once registered you are granted a non-exclusive and non-transferable license to install one (1) copy of the Product and during the term of your license, subject to the payment of the applicable fees and your compliance with the terms hereof, this Agreement permits you or any of your employees to Operate one copy of the specified version of the Product, for internal purposes only, on one computer, workstation, or other electronic device of which the software was designed (each a "Client Device"). If you have purchased multiple licenses for the Product, then the number of multiple licenses shall determine the number of copies of the Product you may have and the number of Client Devices on which you may Operate the Product. If the Product is licensed as a suite or bundle with more than one specified software product, this license applies to all such specified software products, subject to any restrictions or usage terms specified on the applicable price list or product packaging that apply to any of such software products individually. Additionally, Licensor reserves the right to provide for specific terms and conditions in the purchased licenses and such terms may be embedded in Registration Code specifying other terms, conditions and restrictions of Operating of the Product. The Licensor reserves all rights not expressly granted herein.

c). Limitations on Personal License. With the purchase of a personal License, the Licensee may operate the Product as set forth in the Agreement for non-commercial purposes in a non-business or non-commercial environment. Use of the Product in a corporate, governmental or business environment requires the purchase of a business license.

d). Site License. With the acquisition of a Site License, the Licensee may install and use the Product on an unlimited amount of CPUs within one office in one geographic location. Within these limitations, the Licensee may install the Product as a "Network" Product and run the software from any networked computer on your LAN, provided those computers are located exclusively within one office at one geographic location.

e). Volume Use. If the Product is licensed with volume license terms specified in the applicable product invoicing or packaging for the Product, you may make use and install as many additional copies of the Product on the number of Client Devices as the volume license terms specify. You must have a reasonable mechanism in place to ensure that the number of Client Devices on which the Product has been installed does not exceed the number of licenses you have obtained.

f). Multiple Environment Product; Multiple Language Product; Dual Media Product; Multiple Copies; Bundles. If the Product supports multiple platforms or languages, if you receive the Product on multiple media, if you otherwise receive multiple copies of the Product, or if you received the Product bundled with other software, the total number of your Client Devices on which all versions of the Product are installed may not exceed the number of licenses you have obtained from the Licensor. You may not rent, lease, sublicense, lend or transfer any versions or copies of the Product you do not use.

2.2. Back-up Copies. You can make one (1) copy the Product for backup and archival purposes, provided, however, that the original and each copy is kept in your possession or control, and that your installation and use of the Product does not exceed that which is allowed in this Section 2.

2.3. Prohibitions. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this Agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. Neither ElcomSoft binary code nor source may be used or reverse engineered to re-create the program algorithm, which is proprietary, without written permission of Licensor. All rights not expressly granted here are reserved by ElcomSoft Co. Ltd.

2.4. Special Provisions Applicable to Password Recovery Programs. The Licensor has a strict return policy due to the nature of our products. If the software is unable to recover (or remove, or change) a password, a copy of the unrecovered file must be sent to the Licensor for evaluation. If the password is recovered, you will be either able to keep the software and receive the password to the file (or unprotected copy of the file), or refund can be made and the end user will need to pay for the in-house recovery in order to receive the password. If the Licensor is unable to recover the password, a full refund will be made. This subsection is applicable only to situations when password recovery or removal is guaranteed without brute-force or dictionary attacks.

2.5. Registration Code. Registration Code provided by the Licensor constitutes the confidential proprietary information of the Licensor. ElcomSoft Registration Code file may not be distributed, except as stated herein, outside of the area of legal control of the person or persons who purchased the original license, without written permission of the copyright holder. You may not give away, sell or otherwise transfer your Registration Code to a third party. Doing so will result in an infringement of copyright. ElcomSoft Co. Ltd retains the right of claims for compensation in respect of damage which occurred by your giving away the registration code. This claim shall also extend to all costs which ElcomSoft Co. Ltd incurs in defending itself.

2.6. Transfers. Under no circumstances shall Licensee sell, rent, lease, license, sublicense, publish, display, distribute, or otherwise transfer to a third party the Software, any copy thereof, in whole or in part, without Licensor's prior written consent, unless otherwise provided for in this Agreement.

2.7. Acceptance of Licensing Terms. Installing and using the Product signifies acceptance of these terms and conditions of the License. If you do not agree with the terms of the license you must remove all Product files from your storage devices, including any back-up or archival copy, and cease to use the Product.

2.8. Material Terms and Conditions. Licensee specifically agrees that each of the terms and conditions of this Section 2 are material and that failure of Licensee to comply with these terms and conditions shall constitute sufficient cause for Licensor to immediately terminate this Agreement and the License granted under this Agreement. The presence of this Section 2.7 shall not be relevant in determining the materiality of any other provision or breach of this Agreement by either party.

2.9. Term and Termination. The term of this Agreement ("Term") shall begin when you download, access or install the Product or pay the applicable license fees (whichever is earlier) and shall continue for the term specified in your order. Without prejudice to any other rights, this Agreement will terminate automatically if you fail to comply with any of the limitations or other requirements described herein. Upon any termination or expiration of this Agreement, you must immediately cease use of the Product and destroy all copies of the Product.

2.10. No Rights Upon Termination. Upon termination of this Agreement you will no longer be authorized to Operate or use the Product in any way.

3. Support and Updates.

3.1. Terms of Support. During the one-year period you are entitled to technical services and support for the Product which is provided to you by Licensor during the regular business hours (GMT+ 03:00), except for locally-observed holidays, and includes the support provided through a special technical support section of the Licensor's site (the "Site") and email support@elcomsoft.com. During such period of one year e-mail support is unlimited and includes technical and support questions and patch fixes.

3.2. Updates. During the one-year period, you may download Updates to the Product when and as the Licensor publishes them on the Site, or through other online services. If the Product is an Update to a previous version of the Product, you must possess a valid license to such previous version in order to use the Update. You may continue to use the previous version of the Product on your Client Device after you receive the Update to assist you in the transition to the Update, provided that: (i) the Update and the previous version are installed on the same Client Device; (ii) the previous version or copies thereof are not transferred to another party or Client Device unless all copies of the Update are also transferred to such party or Client Device; (iii) you acknowledge that any modification that you made to the Product may be lost, altered, distorted or destroyed rendering such modifications, Product or the part thereof inoperable or non-usable; and (iv) you acknowledge that any obligation the Licensor may have to support the previous version of the Product may be ended upon availability of the Update. Except for the rights to free Updates during the one-year period, as further defined herein, nothing in this Agreement shall be construed as to grant you any rights or licenses with regard to the new releases of the Product or to entitle you to any new release. This Agreement does not obligate the Company to provide any Updates. Notwithstanding the foregoing, any Updates that you may receive become part of the Product and the terms of this Agreement apply to them (unless this Agreement is superseded by a succeeding agreement accompanying such Update or modified version of the Product).

4. Restrictions.

4.1. No Transfer of Rights. You may not transfer any rights pursuant to this Agreement nor rent, sublicense, lease, loan or resell the Product. You may not permit third parties to benefit from the use or functionality of the Product via a timesharing, service bureau or other arrangement, except to the extent such use is specified in the application price list, purchase order or product packaging for the Product. Except as otherwise provided in Section 1.2 hereof, you may not, without the Licensor's prior written consent, reverse engineer, decompile, disassemble or otherwise reduce any party of the Product to human readable form nor permit any third party to do so, except to the extent the foregoing restriction is expressly prohibited by applicable law. Notwithstanding the foregoing sentence, decompiling the Software is permitted to the extent the laws of your jurisdiction give you the right to do so to obtain information necessary to render the Software interoperable with other software; provided, however, that you must first request such information from the Licensor and the Licensor may, in its discretion, either provide such information to you (subject to confidentiality terms) or impose reasonable conditions, including a reasonable fee, on such use of the Software to ensure that the Licensor's and its affiliates' proprietary rights in the Software are protected. Except for the modification permitted under Section 1.2, you may not modify, or create derivative works based upon the Product in whole or in part.

4.2. Proprietary Notices and Copies. You may not remove any proprietary notices or labels on the Product. You may not copy the Product except as expressly permitted in Section 2 above.

4.3. Compliance with Law. You agree that in Operating the Product and in using any report or information derived as a result of Operating this Product, you will comply with all applicable international, national, state, regional and local laws and regulations, including, without limitation, privacy, trademark, patent, copyright, export control and obscenity law and you shall not use the Product for unethical or illegal business practices or in violation of any obligation to a third party in using, operating, accessing or running any of the Product and shall not knowingly assist any other person or entity to so violate any obligation to a third party.

4.4. Additional Protection Measures. Solely for the purpose of preventing unlicensed use of the Product, the Software may install on your Client Device technological measures that are designed to prevent unlicensed use, and the Licensor may use this technology to confirm that you have a licensed copy of the Product. The update of these technological measures may occur through the installation of the Updates. The Updates will not install on unlicensed copies of the Product. If you are not using a licensed copy of the Product, you are not allowed to install the Updates. The Licensor will not collect any personally identifiable information from your Client Device during this process.

5. WARRANTIES AND DISCLAIMERS.

5.1. Limited Warranty. The Licensor warrants that for 90 days (the "Warranty Period") from the date the Registration Code is provided to you by Licensor, the media on which Product has been provided will be free from defects in materials and workmanship and that the Software will perform substantially in accordance with the Documentation or generally conform to the Product's specifications published by the Licensor. Non-substantial variations of performance from the Documentation do not establish a warranty right. THIS LIMITED WARRANTY DOES NOT APPLY TO UPDATES AS APPLIED TO ANY MODIFIED PRODUCT, WHETHER OR NOT SUCH MODIFICATION IS PERMISSIBLE HEREUNDER, TRIAL AND EVALUATION VERSIONS, UPDATES, PRE-RELEASE, TRYOUT, PRODUCT SAMPLER, OR NOT FOR RESALE (NFR) COPIES OF PRODUCT. This limited warranty is void and your support right terminate if the defect has resulted from accident, abuse, or misapplication or any modification, whether or not such modification is permitted hereunder. No warranty is made as to the integrity, protection or safekeeping of any modification to the Products made by you upon installation of any of the Updates. To make a warranty claim, you must return the Product to the location where you obtained it along with proof of purchase within such sixty (60) day period of the license fee you paid for the Product. THE LIMITED WARRANTY SET FORTH IN THIS SECTION GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE ADDITIONAL RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

5.2. Customer Remedies. The Licensor and its suppliers' entire liability and your exclusive remedy for any breach of the foregoing warranty shall be at the Licensor's option: (i) return of the purchase price paid for the license, if any, (ii) replacement of the defective media in which the Product is contained, or (iii) correction of the defects, "bugs" or errors within reasonable period of time. You must return the defective media to the Licensor at your expense with a copy of your receipt. Any replacement media will be warranted for the remainder of the original warranty period.

5.3. NO OTHER WARRANTIES. EXCEPT FOR THE FOREGOING LIMITED WARRANTY, AND FOR ANY WARRANTY, CONDITION, REPRESENTATION OR TERM TO THE EXTENT TO WHICH THE SAME CANNOT OR MAY NOT BE EXCLUDED OR LIMITED BY LAW APPLICABLE TO YOU IN YOUR JURISDICTION, THE PRODUCT IS PROVIDED "AS-IS" WITHOUT ANY WARRANTY WHATSOEVER AND THE LICENSOR MAKES NO PROMISES, REPRESENTATIONS OR WARRANTIES, WHETHER EXPRESSED OR IMPLIED, WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE, REGARDING OR RELATING TO THE PRODUCT OR CONTENT THEREIN OR TO ANY OTHER MATERIAL FURNISHED OR PROVIDED TO YOU PURSUANT TO THIS AGREEMENT OR OTHERWISE. YOU ASSUME ALL RISKS AND RESPONSIBILITIES FOR SELECTION OF THE PRODUCT TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED FROM THE PRODUCT. THE LICENSOR MAKES NO WARRANTY THAT THE PRODUCT WILL BE ERROR FREE OR FREE FROM INTERRUPTION OR FAILURE, OR THAT IT IS COMPATIBLE WITH ANY PARTICULAR HARDWARE OR SOFTWARE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT OF THIRD PARTY RIGHTS, INTEGRATION, SATISFACTORY QUALITY OR FITNESS FOR ANY PARTICULAR PURPOSE WITH RESPECT TO THE PRODUCT AND THE ACCOMPANYING WRITTEN MATERIALS OR THE USE THEREOF. SOME JURISDICTIONS DO NOT ALLOW LIMITATIONS ON IMPLIED WARRANTIES, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU. YOU HEREBY ACKNOWLEDGE THAT THE PRODUCT MAY NOT BE OR BECOME AVAILABLE DUE TO ANY NUMBER OF FACTORS INCLUDING WITHOUT LIMITATION PERIODIC SYSTEM MAINTENANCE, SCHEDULED OR UNSCHEDULED, ACTS OF GOD, TECHNICAL FAILURE OF THE SOFTWARE, TELECOMMUNICATIONS INFRASTRUCTURE, OR DELAY OR DISRUPTION ATTRIBUTABLE TO VIRUSES, DENIAL OF SERVICE ATTACKS, INCREASED OR FLUCTUATING DEMAND, AND ACTIONS AND OMISSIONS OF THIRD PARTIES. THEREFORE, THE LICENSOR EXPRESSLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY REGARDING SYSTEM AND/OR SOFTWARE AVAILABILITY, ACCESSIBILITY, OR PERFORMANCE. THE LICENSOR DISCLAIMS ANY AND ALL LIABILITY FOR THE LOSS OF DATA DURING ANY COMMUNICATIONS AND ANY LIABILITY ARISING FROM OR RELATED TO ANY FAILURE BY THE LICENSOR TO TRANSMIT ACCURATE OR COMPLETE INFORMATION TO YOU.

5.4. LIMITED LIABILITY; NO LIABILITY FOR CONSEQUENTIAL DAMAGES. YOU ASSUME THE ENTIRE COST OF ANY DAMAGE RESULTING FROM YOUR USE OF THE PRODUCT AND THE INFORMATION CONTAINED IN OR COMPILED BY THE PRODUCT, AND THE INTERACTION (OR FAILURE TO INTERACT PROPERLY) WITH ANY OTHER HARDWARE OR SOFTWARE WHETHER PROVIDED BY THE LICENSOR OR A THIRD PARTY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL THE LICENSOR OR ITS SUPPLIERS OR LICENSORS BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, LOSS OF DATA, LOSS OF GOODWILL, WORK STOPPAGE, HARDWARE OR SOFTWARE DISRUPTION IMPAIRMENT OR FAILURE, REPAIR COSTS, TIME VALUE OR OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE PRODUCT, OR THE INCOMPATIBILITY OF THE PRODUCT WITH ANY HARDWARE SOFTWARE OR USAGE, EVEN IF SUCH PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL LICENSOR'S TOTAL LIABILITY TO YOU FOR ALL DAMAGES IN ANY ONE OR MORE CAUSE OF ACTION, WHETHER IN CONTRACT, TORT OR OTHERWISE EXCEED THE AMOUNT PAID BY YOU FOR THE PRODUCT. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT THAT APPLICABLE LAW PROHIBITS SUCH LIMITATION. FURTHERMORE, BECAUSE SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

6. Indemnification

6.1. Indemnification for Violations. Your Operating of the Product, your accessing your account with Licensor and your entering into this Agreement constitutes your consent and agreement to defend, indemnify and hold harmless Licensor and its affiliated companies, employees, contractors, officers and directors from any claim or demand, including reasonable attorney's fees arising out of your use of the Product in violation of this Agreement.

SPECIAL PROVISION APPLICABLE TO U.S. PERSONS AND ENTITIES.

7. U.S. Government-Restricted Rights.

7.1. Notice to U.S. Government End Users. The Product and accompanying Documentation are deemed to be "Commercial Items," as that term is defined at 48 C.F.R. §2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation," respectively, as such terms are used in 48 C.F.R. §12.212 or 48 C.F.R. §227.7202, as applicable. Consistent with 48 C.F.R. §12.212 or 48 C.F.R. §§227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights, including any use, modification, reproduction, release, performance, display or disclosure of the Product and accompanying Documentation, as are granted to all other end users pursuant to the terms and conditions herein. Unpublished-rights reserved under the copyright laws of the United States.

7.2. Export Restrictions. You acknowledge and agree that the Product may be subject to restrictions and controls imposed by the Export Administration Act and the Export Administration Regulations of the United States (the "Acts"). You agree and certify that neither the Product nor any direct product thereof is being or will be used for any purpose prohibited by the Acts. You may not Operate, download, export, or re-export the Product (a) into, or to a national or resident of, any country to which the United States has embargoed goods, or (b) to anyone on the United States Treasury Department's list of Specially Designated Nationals or the U.S. Commerce Department's Table of Deny Orders. By downloading or using the Product, you are representing and warranting that you are not located in, under the control of, or a national or resident of any such country or on any such list. You acknowledge that it is your sole responsibility to comply with any and all government export and other applicable laws and that the Licensor has no further responsibility for such after the initial license to you. You warrant and represent that neither the U.S. Commerce Department, Bureau of Export Administration nor any other U.S. federal agency has suspended, revoked or denied your export privileges.

8. Your Information and the Licensor's Privacy Policy

8.1. Privacy Policy. You acknowledge receipt of and agree to the Licensor's privacy statement which is made available to you in connection with installation and is set forth in full at http://www.elcomsoft.com/privacy.html. You hereby expressly consent to the Licensor's processing of your personal data (which may be collected by the Licensor or its distributors) according to the Licensor's current privacy policy as of the date of the effectiveness hereof which is incorporated into this Agreement by reference. By entering into this Agreement, you agree that the Licensor may collect and retain information about you, including your name and email address. The Licensor employs other companies and individuals to perform certain functions on its behalf. Examples include fulfilling orders, delivering packages, sending postal mail and e-mail, removing repetitive information from customer lists, analyzing data, providing marketing assistance, processing credit card payments, and providing customer service. They have access only to personal information needed to perform their functions, but may not use it for other purposes. The Licensor publishes a privacy policy on its web site and may amend such policy from time to time in its sole discretion. You should refer to the Licensor's privacy policy prior to agreeing to this Agreement for a more detailed explanation of how your information will be stored and used by the Licensor. If "you" are an organization, you will ensure that each member of your organization (including employees and contractors) about whom personal data may be provided to the Licensor has given his or her express consent to the Licensor's processing of such personal data. Personal data will be processed by the Licensor or its distributors in the country where it was collected.

8.2. Public Announcements. The Licensor may identify you to the public as a customer of the Licensor and describe in a customer case study the services and solutions delivered by the Licensor to you. The Licensor may also issue one or more press releases, containing an announcement of the execution and delivery of this Agreement and/or the implementation of the Product by you. Nothing contained in this Section shall be construed as an obligation by you to disclose any of your proprietary or confidential information to any third party. In addition, you may opt-out from this Section by writing an opt-out request to the Licensor at info@elcomsoft.com.

9. Miscellaneous.

9.1. Governing Law; Jurisdiction and Venue. This Agreement shall be governed by and construed and enforced in accordance with the laws of the Russian Federation without reference to conflicts of law rules and principles. To the extent permitted by law, the provisions of this Agreement shall supersede any provisions of the Uniform Commercial Code as adopted or made applicable to the Products in any competent jurisdiction. This Agreement shall not be governed by the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly disclaimed and excluded. The courts within the Russian Federation shall have exclusive jurisdiction to adjudicate any dispute arising out of this Agreement. You agree that this Agreement is to be performed in the Russian Federation and that any action, dispute, controversy, or claim that may be instituted based on this Agreement, or arising out of or related to this Agreement or any alleged breach thereof, shall be prosecuted exclusively in the courts in of the Russian Federation and you, to the extent permitted by applicable law, hereby waive the right to change venue to any other state, county, district or jurisdiction; provided, however, that the Licensor as claimant shall be entitled to initiate proceedings in any court of competent jurisdiction.

9.2. Period for Bringing Actions. No action, regardless of form, arising out of the transactions under this Agreement, may be brought by either party hereto more than one (1) year after the cause of action has occurred, or was discovered to have occurred, except that an action for infringement of intellectual property rights may be brought within the maximum applicable statutory period.

9.3. Entire Agreement; Severability; No Waiver. This Agreement is the entire agreement between you and Licensor and supersedes any other prior agreements, proposals, communications or advertising, oral or written, with respect to the Product or to subject matter of this Agreement. You acknowledge that you have read this Agreement, understand it and agree to be bound by its terms. If any provision of this Agreement is found by a court of competent jurisdiction to be invalid, void, or unenforceable for any reason, in whole or in part, such provision will be more narrowly construed so that it becomes legal and enforceable, and the entire Agreement will not fail on account thereof and the balance of the Agreement will continue in full force and effect to the maximum extent permitted by law or equity while preserving, to the fullest extent possible, its original intent. No waiver of any provision or condition herein shall be valid unless in writing and signed by you and an authorized representative of Licensor provided that no waiver of any breach of any provisions of this Agreement will constitute a waiver of any prior, concurrent or subsequent breach. Licensor's failure to insist upon or enforce strict performance of any provision of this Agreement or any right shall not be construed as a waiver of any such provision or right.

9.4. Contact Information. Should you have any questions concerning this Agreement contact us at legal@elcomsoft.com.

© 1998-2004 ElcomSoft Co. Ltd. All rights reserved. The Product, including the Software and any accompanying Documentation, are copyrighted and protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.


Registration

Registration

Fully registered version of Advanced Windows Password Recovery costs $60 (personal license) or $120 (business license).

Limitations on personal license: with the purchase of a personal License, the Licensee may operate the Product as set in the License Agreement for non-commercial purposes in a non-business or non-commercial environment only. Use of the Product in a corporate, governmental or business environment requires the purchase of business license.

You can place an order online using the following order form:

http://www.elcomsoft.com/purchase/buy.php?product=pspr&ref=DOC

Please note that there are some small processing charges for orders placed by fax, by check/money order or with back/wire transfer. European customers are also charged VAT. The prices listed above are valid for orders placed in US dollars only.

More information about all payment options is available at the ordering page on the ElcomSoft web site:

http://www.elcomsoft.com/order.html?product=pspr

On payment approval (for online orders, usually within a few minutes), we'll send you the registration key which will remove all limitations of the unregistered version.


Limitations of unregistered version

Limitations of unregistered version

 Previous Top

Unregistered (trial) version recovers the passwords that are not longer than 4 characters.